Bug 862898 - [REF] Check all incoming string for utf-8 encoding and issue a 400 Bad Request if any don't comply
[REF] Check all incoming string for utf-8 encoding and issue a 400 Bad Reques...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: API/integration (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 41
Assigned To: Jason Connor
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 16:32 EDT by Jason Connor
Modified: 2014-03-30 21:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:09:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Connor 2012-10-03 16:32:45 EDT
Pulp does not do a good job of enforcing the utf-8 encoding requirement on input strings. We need a single point of entry that check all input and will barf when strings are encoded in anything else.
Comment 1 Jason Connor 2012-10-17 18:22:09 EDT
Added a method in the controller base class to recursively parse input structures and ensure that strings are encoded in utf-8. Throws a PulpDataException if there's a problem.
Comment 2 Jason Connor 2012-11-07 12:34:31 EST
Merged into master in revision:
27bafc56580475f2084c3290a7d6bba9cdfa3b97
Comment 3 Jeff Ortel 2012-11-12 17:33:34 EST
build: 2.0.6-0.2.beta
Comment 4 Preethi Thomas 2013-01-09 12:09:00 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.